/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODUTOROP                                               */
/* Tabela : PRODUTOROP                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 29/05/2007 - Pedro Nerino Viol de Lima                                     */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRODUTOROP
BEFORE INSERT OR UPDATE OR DELETE
ON PRODUTOROP FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPRRP := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDTPPRODUTOROP,0) <> NVL(:NEW.IDTPPRODUTOROP,0)) THEN
         :NEW.DTULTATUPRRP := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRODUTOROP', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDPRODUTO='||:OLD.CDPRODUTO||
                               ';IDTPPRODUTOROP='||:OLD.IDTPPRODUTOROP||';',SYSDATE);
   END IF;
END;
/

ALTER TABLE PRODUTOROP MODIFY DTULTATUPRRP DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PRODUTOROP','4.11.136'); END;
/

