/*+
|                                               |
|     Trigger: DTULTATU_CARGO                   |  
|     Tabela : CARGO                            |
|                                               |
|     Criao:                                  |
|     23/07/2007 - Danilo dos Anjos Faria       |
|                                               |
+*/


CREATE OR REPLACE TRIGGER DTULTATU_CARGO
BEFORE INSERT OR UPDATE OR DELETE
ON CARGO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCARG := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF ((NVL(:OLD.CDCARGO   ,   0) <> NVL(:NEW.CDCARGO   ,  0)) OR
           (NVL(:OLD.CDGRUPOCARGO,0) <> NVL(:NEW.CDGRUPOCARGO,0)) OR
           (NVL(:OLD.NMCARGO,     0) <> NVL(:NEW.NMCARGO,     0)) OR
           (NVL(:OLD.CDCBO,       0) <> NVL(:NEW.CDCBO,       0)) OR
           (NVL(:OLD.CDTIPOCARGO, 0) <> NVL(:NEW.CDTIPOCARGO, 0)) OR
           (NVL(:OLD.VRFATMULTORC,0) <> NVL(:NEW.VRFATMULTORC,0)) OR
           (NVL(:OLD.VRCUSHRCARGO,0) <> NVL(:NEW.VRCUSHRCARGO,0)) OR          
           (NVL(:OLD.NMCARGESPANH,0) <> NVL(:NEW.NMCARGESPANH,0)) OR
           (NVL(:OLD.NMCARGINGLES,0) <> NVL(:NEW.NMCARGINGLES,0))) THEN
           :NEW.DTULTATUCARG := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
      VALUES ('CARGO'  , '', 'CDCARGO='||:OLD.CDCARGO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CARGO MODIFY DTULTATUCARG DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_CARGO','4.11.160'); END;
/

