package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.PlanejamentodeProducaoPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class PlanejamentodeProducaoTest extends TestBase {
    //Object
    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    PlanejamentodeProducaoPage planejamentodeproducaopage;


    //Tests
    @Test
    public void PlanejamentodeProducao() throws InterruptedException {
        //Objects instances
        mainPage = new MainPage();

        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        planejamentodeproducaopage = new PlanejamentodeProducaoPage();


        //Parameteresg codigo =
        String usuario = "francielly.automacao";
        String senha = "Teknisa2022";
        String descricao = "Planejamento da produção Agosto";
        String dataproducc = "02/08/2022";
        String msgesperada = "Produtos liberados para produção com sucesso!";


        loginFlows.efetuarLogin(usuario, senha);
        planejamentodeproducaopage.AcessarTela();

        //Test
        // planejamentodeproducaopage.selecionarunidade(central);
        planejamentodeproducaopage.preencherdescricao(descricao);
        planejamentodeproducaopage.informardatadeaprodc(dataproducc);
        planejamentodeproducaopage.selecionaragregada();
        planejamentodeproducaopage.clicaremfiltrar();
        planejamentodeproducaopage.clicarokplangerado();
        planejamentodeproducaopage.clicarparaselecionarpa();
        planejamentodeproducaopage.liberarparaproducao();

        String statusatual = planejamentodeproducaopage.retornamsgdeproducaogerada();

        Assert.assertEquals(statusatual, msgesperada);

        planejamentodeproducaopage.clicarbotaookposplan();

        Thread.sleep(8000);


    }
    //test2
    @Test
    public void PlanejamentodeProducaoComEdicao() throws InterruptedException {
        //Objects instances
        mainPage = new MainPage();

        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        planejamentodeproducaopage = new PlanejamentodeProducaoPage();

        //Parameteresg codigo =
        String usuario = "francielly.automacao";
        String senha = "Teknisa2022";
        String descricao = "Planejamento de produção.";
        String dataproducc = "02/08/2022";
        String quantproduzir = "11.000,00000";
        String justificativa = "Alteração devido diminuição de profissionais.";
        String msgesperada = "Produtos liberados para produção com sucesso!";


        loginFlows.efetuarLogin(usuario, senha);
        planejamentodeproducaopage.AcessarTela();

        //Test
        planejamentodeproducaopage.preencherdescricao(descricao);
        planejamentodeproducaopage.informardatadeaprodc(dataproducc);
        planejamentodeproducaopage.selecionaragregada();
        planejamentodeproducaopage.clicaremfiltrar();
        planejamentodeproducaopage.clicarokplangerado();
        planejamentodeproducaopage.alterarquantidadeplanejada(quantproduzir, justificativa);
        planejamentodeproducaopage.alterarquantidademateriaprima();
        planejamentodeproducaopage.editarquantidadeliberada();
        planejamentodeproducaopage.salvaralteracoesqtliberada();
        planejamentodeproducaopage.clicarparaselecionarpa();
        planejamentodeproducaopage.liberarparaproducao();

        String statusatual2 = planejamentodeproducaopage.retornamsgdeproducaogerada();

        Assert.assertEquals(statusatual2, msgesperada);

        planejamentodeproducaopage.clicarbotaookposplan();

        Thread.sleep(8000);

    }


    // Teste 3
    @Test
    public void PlanejamentodeProducaoComCancelamento() throws InterruptedException {
        //Objects instances
        mainPage = new MainPage();

        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        planejamentodeproducaopage = new PlanejamentodeProducaoPage();

        //Parameteresg codigo =
        String usuario = "francielly.automacao";
        String senha = "Teknisa2022";
        String msgmesperada = "Planejamento de Produção cancelado com sucesso!";

        loginFlows.efetuarLogin(usuario, senha);
        planejamentodeproducaopage.AcessarTela();

        //Test

        planejamentodeproducaopage.selecionarppgerado();

        String statusatual3 = planejamentodeproducaopage.retornoppcancelado();

        Assert.assertEquals(statusatual3,msgmesperada);

        planejamentodeproducaopage.clicaroksubstituicaodoprato();

        Thread.sleep(3000);

    }

    // Teste 4
    @Test
    public void PlanejamentodeProducaoGerarPedidodeProducao() throws InterruptedException {
        //Objects instances
        mainPage = new MainPage();

        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        planejamentodeproducaopage = new PlanejamentodeProducaoPage();

        //Parameteresg codigo =
        String usuario = "francielly.automacao";
        String senha = "Teknisa2022";
        String msgmesperada = "";

        loginFlows.efetuarLogin(usuario, senha);
        planejamentodeproducaopage.AcessarTela();

        //Test
        planejamentodeproducaopage.clicargerarpedidodeproducao();

    }

    // Teste 5
    @Test
    public void PlanejamentodeProducaoCancelarSubstituicao() throws InterruptedException {
        //Objects instances
        mainPage = new MainPage();

        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        planejamentodeproducaopage = new PlanejamentodeProducaoPage();

        //Parameteresg codigo =
        String usuario = "francielly.automacao";
        String senha = "Teknisa2022";
        String msgaguardada = "Cancelamento realizado com sucesso!";

        loginFlows.efetuarLogin(usuario, senha);
        planejamentodeproducaopage.AcessarTela();

        //Test
        planejamentodeproducaopage.clicarparacancelarsubstituicao();
        String statusatual6 = planejamentodeproducaopage.cancelamentosubstituicao();

        Assert.assertEquals(statusatual6,msgaguardada);

        Thread.sleep(3000);


    }

    //Teste 6
    @Test
    public void SusbtituicaodePrato() throws InterruptedException {
        //Objects instances
        mainPage = new MainPage();

        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        planejamentodeproducaopage = new PlanejamentodeProducaoPage();

        //Parameteresg codigo =
        String usuario = "francielly.automacao";
        String senha = "Teknisa2022";
        String msgesperada = "Substituição realizada com sucesso!";

        loginFlows.efetuarLogin(usuario, senha);
        planejamentodeproducaopage.AcessarTela();

        //Test
        planejamentodeproducaopage.substituirprato();

        String statusatual6 = planejamentodeproducaopage.substituicaopratoefetivada();

        Assert.assertEquals(statusatual6,msgesperada);

        planejamentodeproducaopage.clicaroksubstituicaodoprato();

        Thread.sleep(3000);
    }

    }

